org.jboss.resteasy.logging

## Class Logger

- java.lang.Object
- - org.jboss.resteasy.logging.Logger

- Direct Known Subclasses:
    JULLogger, Log4jLogger, Slf4jLogger

      public abstract class Logger
      extends Object

  Logging abstraction. Call setLoggerType() to the logging framework you want to use.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Logger.LoggerType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Logger()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `debug(String message)`
    `abstract void` | `debug(String message, Object... params)`
    `abstract void` | `debug(String message, Throwable error)`
    `abstract void` | `error(String message)`
    `abstract void` | `error(String message, Object... params)`
    `abstract void` | `error(String message, Throwable error)`
    `static Logger` | `getLogger(Class<?> clazz)`
    `abstract void` | `info(String message)`
    `abstract void` | `info(String message, Object... params)`
    `abstract void` | `info(String message, Throwable error)`
    `abstract boolean` | `isDebugEnabled()`
    `abstract boolean` | `isTraceEnabled()`
    `abstract boolean` | `isWarnEnabled()`
    `static void` | `setLoggerType(Logger.LoggerType loggerType)`
    `abstract void` | `trace(String message)`
    `abstract void` | `trace(String message, Object... params)`
    `abstract void` | `trace(String message, Throwable error)`
    `abstract void` | `warn(String message)`
    `abstract void` | `warn(String message, Object... params)`
    `abstract void` | `warn(String message, Throwable error)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Logger

          public Logger()

  - ### Method Detail

    - #### setLoggerType

          public static void setLoggerType(Logger.LoggerType loggerType)

    - #### getLogger

          public static Logger getLogger(Class<?> clazz)

    - #### isTraceEnabled

          public abstract boolean isTraceEnabled()

    - #### trace

          public abstract void trace(String message)

    - #### trace

          public abstract void trace(String message,
                   Object... params)

    - #### trace

          public abstract void trace(String message,
                   Throwable error)

    - #### isDebugEnabled

          public abstract boolean isDebugEnabled()

    - #### debug

          public abstract void debug(String message)

    - #### debug

          public abstract void debug(String message,
                   Object... params)

    - #### debug

          public abstract void debug(String message,
                   Throwable error)

    - #### info

          public abstract void info(String message)

    - #### info

          public abstract void info(String message,
                  Object... params)

    - #### info

          public abstract void info(String message,
                  Throwable error)

    - #### isWarnEnabled

          public abstract boolean isWarnEnabled()

    - #### warn

          public abstract void warn(String message)

    - #### warn

          public abstract void warn(String message,
                  Object... params)

    - #### warn

          public abstract void warn(String message,
                  Throwable error)

    - #### error

          public abstract void error(String message)

    - #### error

          public abstract void error(String message,
                   Object... params)

    - #### error

          public abstract void error(String message,
                   Throwable error)

Copyright © 2014. All Rights Reserved.